Bug 553648 (CVE-2010-1626) - CVE-2010-1626 mysql: table destruction via DATA/INDEX DIRECTORY directives using symlinks
Summary: CVE-2010-1626 mysql: table destruction via DATA/INDEX DIRECTORY directives us...
Status: CLOSED ERRATA
Alias: CVE-2010-1626
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20081122,reported=20091203,sou...
Keywords: Security
Depends On: 590598 592874 592875 833942
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-08 14:40 UTC by Tomas Hoger
Modified: 2012-06-20 14:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-28 19:14:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch backported to 5.0.77, EL5 (3.60 KB, patch)
2010-05-20 13:13 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0442 normal SHIPPED_LIVE Important: mysql security update 2010-05-26 14:57:41 UTC

Description Tomas Hoger 2010-01-08 14:40:09 UTC
Ingo Strüwing reported another problem related to CVE-2008-2079 / CVE-2008-4098.  A user with with privileges to CREATE / DROP tables in some MySQL database with shell access to the database server can remove data file for other tables using MyISAM storage engine, even in different databases.

Issue was first mentioned in upstream bug:
  http://bugs.mysql.com/bug.php?id=39277
  http://bugs.mysql.com/file.php?id=10707&text=1

Issue is tracked upstream via (previously public, but currently restricted) bug:
  http://bugs.mysql.com/bug.php?id=40980

Problem has not upstream fix yet.

More details can be found in:
  https://bugzilla.redhat.com/show_bug.cgi?id=543619#c4

Comment 1 Tomas Hoger 2010-01-19 15:49:09 UTC
Mitigation:
Disable use of table symbolic links in setups where (untrusted) database users with CREATE / DROP TABLE privileges also have a shell access to the database server.  This can be achieved by adding 'symbolic-links=0' or 'skip-symbolic-links' to '[mysqld]' section of the my.cnf configuration file.  See MySQL reference manual for further details:

http://dev.mysql.com/doc/refman/5.0/en/symbolic-links-to-tables.html

This was added as a default for future Fedora and RHEL versions (bug #553652).

Comment 5 Fedora Update System 2010-05-10 09:49:12 UTC
mysql-5.1.46-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc11

Comment 6 Fedora Update System 2010-05-10 09:49:59 UTC
mysql-5.1.46-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc12

Comment 7 Fedora Update System 2010-05-10 09:50:10 UTC
mysql-5.1.46-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mysql-5.1.46-1.fc13

Comment 8 Fedora Update System 2010-05-13 19:25:11 UTC
mysql-5.1.46-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-13 19:27:08 UTC
mysql-5.1.46-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-13 19:32:20 UTC
mysql-5.1.46-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Tomas Hoger 2010-05-20 13:13:48 UTC
Created attachment 415408 [details]
Patch backported to 5.0.77, EL5

Comment 16 errata-xmlrpc 2010-05-26 14:57:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0442 https://rhn.redhat.com/errata/RHSA-2010-0442.html


Note You need to log in before you can comment on or make changes to this bug.